PrivyPrivy
Sign in
  • Documentation
Back to Documentation
B2B Telco APIs
OverviewChangelog
Phone Active
Phone Match
Phone Location Verification
    v1
    v2
    v3
      Phone Location Verification v3QuickstartEnvironmentsAuthenticationRequest FieldsLocation ResultsErrors
Phone Income Score
API Explorer
powered by Zudoku
Sign in
v3

Quickstart

Send a JSON request to POST /api/v3/phone/location using credentials provisioned by Privy.

Basic Authentication

TerminalCode
curl --request POST \ --url https://stg-b2b-api.privy.id/api/v3/phone/location \ --header 'Authorization: Basic <BASE64_USERNAME_PASSWORD>' \ --header 'Content-Type: application/json' \ --header 'Merchant-Key: <MERCHANT_KEY>' \ --data '{ "transaction_id": "location-v3-001", "msisdn": "628171234567", "location_type": "work", "check_type": "address", "address": "Jl. Jenderal Sudirman, Jakarta", "channel": "web" }'

Bearer HMAC Authentication

TerminalCode
curl --request POST \ --url https://stg-b2b-api.privy.id/api/v3/phone/location \ --header 'Authorization: Bearer <ACCESS_TOKEN>' \ --header 'Timestamp: <TIMESTAMP>' \ --header 'Signature: <SIGNATURE>' \ --header 'Content-Type: application/json' \ --data '{ "transaction_id": "location-v3-001", "msisdn": "628171234567", "location_type": "work", "check_type": "address", "address": "Jl. Jenderal Sudirman, Jakarta", "channel": "web" }'

The submitted msisdn must belong to XL, Axis, or Smartfren.

Last modified on October 23, 2026
Phone Location Verification v3Environments
On this page
  • Basic Authentication
  • Bearer HMAC Authentication